ATA_SCSIOP_MODE_SENS(9)

NAME
ata_scsiop_mode_sense - Simulate MODE SENSE 6, 10 commands

SYNOPSIS

unsigned int ata_scsiop_mode_sense(struct ata_scsi_args * args, u8 * rbuf);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

DESCRIPTION

Simulate MODE SENSE commands. Assume this is invoked for direct access devices (e.g. disks) only. There should be no block descriptor for other device types.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT